# El manual de &konsolekalendar;

Tuukka
Pasanen

    illuusio@mailcity.com

Allen
Winter

    winterz@kde.org

Malcolm
Hunter

    malcolm.hunter@gmx.co.uk

Revisor
&traductor.Antoni.Bella;
2002
2004
Tuukka Pasanen
2003
2007
Allen Winter
&FDLNotice;
15-04-2004
1.1.1

&konsolekalendar; és una interfície de la línia d'ordres per a calendaris &kde;.

KDE
&package;
&kappname;
KOrganizer

## Introducció

&konsolekalendar; és una interfície de línia d'ordres per a calendaris &kde;. Permet veure, inserir, esborrar o modificar els esdeveniments del calendari a través de la línia d'ordres o des d'un llenguatge per crear scripts. A més, &konsolekalendar; pot crear un nou calendari &kde;, exportar un calendari &kde; a una varietat d'altres formats, i importar des d'un altre calendari &kde;.

En el seu mode bàsic, &konsolekalendar; mostra la llista d'esdeveniments en el calendari per omissió per al dia actual (de 7:00 a 17:00 hores).

Característiques principals de &konsolekalendar;:

- Visualitza les entrades del calendari a partir d'una data/hora d'inici a data/hora final

- Insereix (afegeix) entrades a un calendari

- Elimina (esborra) entrades a un calendari

- Modifica (canvia) entrades a un calendari

- Crea un nou calendari

- Exporta les entrades del calendari a altres formats de fitxer

- Importa un calendari &kde; existent

&konsolekalendar; no és una altre interfície gràfica d'usuari per a un calendari &kde; (&ead;, &korganizer;). &konsolekalendar; està destinat exclusivament per a usos en què una interfície gràfica d'usuari no és pràctica ni possible.

&konsolekalendar; no proporciona un llenguatge complet per realitzar consultes del calendari de l'usuari: ni és la intenció dels autors escriure mai aquesta capacitat. Es proporcionen opcions de línia d'ordres primitives per accedir als esdeveniments del calendari dins d'un interval consecutiu de dates/hora de temps.

## Característiques

En aquest capítol aprendreu sobre les característiques principals de &konsolekalendar; i com controlar-lo utilitzant els paràmetres de línia d'ordres (recordeu que &konsolekalendar; no és una interfície gràfica d'usuari, sinó que només és un programa de línia d'ordres).

Aprendreu sobre la inserció, eliminació i canvi d'esdeveniments de calendari, i com exportar els esdeveniments a altres formats de fitxer. La creació i la importació dels calendaris &kde; també es tractaran en aquest capítol.

### Veure esdeveniments

En el seu mode per omissió, o mitjançant l'ús de l'opció `--view`, &konsolekalendar; llistarà tots els esdeveniments dins de l'interval d'una determinada data/hora.

Per veure tots els esdeveniments d'avui (de 7:00 a 17:00 hores), n'hi ha prou amb executar:

    % konsolekalendar

En el següent exemple, veiem tots els esdeveniments per a la setmana 18-22 d'agost:

    % konsolekalendar --view --date 2003-08-18  --end-date 2003-08-22

El següent mostra els esdeveniments en el calendari des d'ara en endavant:

    % konsolekalendar --next

Per veure tots els esdeveniments per als propers 5 dies executeu:

    % konsolekalendar --show-next 5

### Inserir esdeveniments

&konsolekalendar; pot inserir esdeveniments en un calendari &kde; o al recurs utilitzant l'argument `--add` de línia d'ordres. Els esdeveniments amb èxit seran inserits i mostrats immediatament per les aplicacions de calendari del &kde; (com &korganizer;).

En el següent exemple, un esdeveniment que comença el 2003-06-04 (4 de juny de 2003) a 1000 i finalitzant a 1200 amb resum «Visita al metge» resum serà inserit en el recurs de calendari per omissió l'usuari:

    % konsolekalendar --add --date 2003-06-04 --time 10:00 \
    --end-time 12:00 --summary "Visita al metge"

En aquest exemple, un esdeveniment d'aniversari serà afegit en el recurs de calendari per omissió l'usuari:

    % konsolekalendar --add --date 2003-06-06 --summary "El meu aniversari" \
    --description "Temps per a la festa"

Aquí s'inserirà una setmana de vacances en un calendari compartit vacances:

    % konsolekalendar --add --file vacances.ics --date 2003-08-01 \
    --end-date 2003-08-07 --summary "Vacances" --description "Ningú em trobarà!"

### Eliminar entrades

&konsolekalendar; suporta l'eliminació d'entrades en un fitxer de calendari o recurs utilitzant l'argument `--delete` de la línia d'ordres. Les entrades de calendari a esborrar s'especifiquen exactament per la cadena d'identificació única (UID) utilitzant l'opció `--uid`. Els UID es troben en primer lloc en veure l'esdeveniment, amb l'opció `--view`.

Els esdeveniments esborrats amb èxit seran eliminats immediatament de les aplicacions de calendari del &kde; (&pex;, &korganizer;).

Quan s'elimina quelcom del calendari no es podrà desfer! En altres paraules, quan elimineu un contacte no podreu desfer l'acció! S'ha perdut per sempre.

Aquí s'elimina una entrada de calendari amb UID &konsolekalendar;-1887551750.196:

    % konsolekalendar --delete --uid &konsolekalendar;-1887551750.196

### Modificar entrades

&konsolekalendar; suporta la modificació d'entrades en un fitxer de calendari o recurs utilitzant l'argument `--change` de la línia d'ordres. Les entrades de calendari a modificar s'especifiquen exactament per la cadena d'identificació única (UID) utilitzant l'opció `--uid`. Els UID es troben en primer lloc en veure l'esdeveniment, amb l'opció `--view`.

Els canvis es realitzen de la mateixa manera que les insercions: podeu canviar la data i l'hora d'inici o de final, el resum, la ubicació i descripció d'un esdeveniment. Els esdeveniments canviats amb èxit es mostraran immediatament modificats en les aplicacions de calendari del &kde; (&korganizer;).

Exemple: Aquí canviem el resum i la descripció d'una entrada de calendari amb UID &konsolekalendar;-1887551750.196:

%``konsolekalendar` `--change` `--uid &konsolekalendar;-1887551750.196` `--summary "Fer-me examinar del cap"` `--description "He d'estar boig!"``

### Crear un nou fitxer de calendari

&konsolekalendar; es pot utilitzar per crear un nou fitxer de calendari &kde;. Com no podeu inserir una entrada en un calendari inexistent, primer haureu de crear el fitxer amb els arguments `--create` i `--file` de la línia d'ordres.

Crea un fitxer de calendari anomenat `/data/share/calendars/vacances.ics`:

    % konsolekalendar --create --file /data/share/calendars/vacances.ics

### Exportar a altres formats

&konsolekalendar; pot exportar un calendari &kde; a altres formats coneguts. L'exportació és una forma especial de veure. Per omissió, els esdeveniments es veuen en el format text de &konsolekalendar;. Per canviar el format de visualització utilitzeu l'argument `--export-type` de la línia d'ordres.

Per veure una llista de tots els formats d'exportació suportats, utilitzeu l'opció `--export-list`, com segueix:

    % konsolekalendar --export-list

### Formats d'exportació

Alguns, però no necessàriament tots, els formats suportats es descriuen en aquesta secció.

#### Format de text de &konsolekalendar;

El format de text de &konsolekalendar; és el format natiu de &konsolekalendar; i està dissenyat per ser còmode per llegir i analitzar utilitzant scripts.

El format de text de &konsolekalendar; és el següent:

    Date:\t<Incidence Date>(dddd yyyy-MM-dd)
    [\t<Incidence Start Time>(hh:mm) - <Incidence End Time>(hh:mm)]
    Summary:
    \t<Incidence Summary | "(no hi ha cap resum disponible)">
    Location:
    \t<Incidence Location | "(no hi ha cap ubicació disponible)">
    Description:
    \t<Incidence Description | "(no hi ha cap descripció disponible)">
    UID:
    \t<Incidence UID>
    --------------------------------------------------

Per exemple:

    Date:   Tuesday 2003-11-01
            08:00 - 09:00
    Summary:
            Reunió del personal
    Location:
            Sala d'actes
    Description:
            Reunió amb tot el personal per parlar del projecte.
    UID:
            &konsolekalendar;-1128954167.1013
    --------------------------------------------------

#### Format de text curt de &konsolekalendar;

El format de text curt ofereix un disseny més compacte, la versió menys detallada del format natiu de &konsolekalendar;.

El format de text curt de &konsolekalendar; és:

    [--------------------------------------------------]
    {<Incidence Date>(dddd yyyy-MM-dd)]
    [<Incidence Start Time>(hh:mm) - <Incidence End Time>(hh:mm) | "\t"]
    \t<Incidence Summary | \t>[, <Incidence Location>]
    \t\t<Incidence Description | "\t">

Per exemple:

    --------------------------------------------------
    Tuesday 2003-11-01
    08:00 - 09:00   Reunió del personal, Sala d'actes
                    Reunió amb tot el personal per parlar del projecte.

#### Format amb els valors separats per comes (CSV)

El format amb els valors separats per comes mostra els valors d'esdeveniments en el mateix ordre que el format de text de &konsolekalendar;. L'única diferència és que tota la informació està en la mateixa fila amb cada camp separat per una coma. Els fitxers exportats resultants es poden importar directament en els programes de full de càlcul com &kspread;, OpenOffice.org Calc, i &Microsoft; Excel. A més, el format CSV és fàcil d'analitzar amb scripts.

El format amb els valors separats per comes (CSV) és:

    YYYY-MM-DD,HH:MM,YYYY-MM-DD,HH:MM,Summary,Location,Description,UID

Per exemple:

    2003-11-01,08:00,2003-11-01,09:00,Reunió del personal,Sala d'actes,Reunió amb tot el personal \
    per parlar del projecte.,&konsolekalendar;-1128954167.1013

#### Format &HTML;

El format d'exportació &HTML; crearà un fitxer &HTML; vàlid que es pot publicar a la WWW. Aquest format d'exportació no és adequat per a l'anàlisi amb un script, però és molt bonic per a la publicació de calendaris a la vista pública fàcil.

TODO: Inserir aquí una captura de pantalla.

#### Format HTMLmonth

Aquest format genera un fitxer &HTML; que mostra totes les cites en els mesos especificats per a l'interval de dates. Aquest format d'exportació no és adequat per a l'anàlisi amb un script, però és molt bonic per a la publicació de calendaris a la vista pública fàcil.

TODO: Inserir aquí una captura de pantalla.

### Importar calendaris

&konsolekalendar; pot importar un fitxer de calendari iCal o vCal en un calendari &kde;. S'inseriran tots els esdeveniments del calendari que s'importa, incloent els esdeveniments idèntics. En la següent versió de &konsolekalendar; els esdeveniments idèntics no seran inserits.

Per importar el fitxer de calendari `un_altre.ics` al calendari `actual.ics` executeu:

    % konsolekalendar --import un_altre.ics --file actual.ics

## Arguments de la línia d'ordres

&konsolekalendar; suporta les següents opcions:

Opció | Descripció
--- | ---
`--help, --help-all` | Mostra ajuda quant a les opcions del programa.
`--author` | Mostra informació sobre l'autor del programa.
`-v, --version` | Mostra informació sobre la versió del programa.
`--license` | Mostra informació sobre la llicència del programa.
`--verbose` | Imprimeix missatges d'utilitat en temps d'execució.
`--dry-run` | Imprimeix què s'hauria fet, però no ho executa. No canvia cap fitxer, no insereix, elimina, ni modifica cap fitxer existent, ni en crea de nous.
`--allow-gui` | Permet els calendaris que puguin necessitar una interfície d'usuari interactiva. En operacions normals, només els recursos mai requeriran utilitzar una interfície d'usuari (com els calendaris basats en fitxers).
`--file` fitxer_calendari | Especifica un fitxer de calendari a utilitzar. Si no s'especifica, llavors &korganizer; utilitzarà el recurs per omissió.
Modes principals d'operació:
`--view` | Imprimeix els esdeveniments del calendari en el format d'exportació especificat.
`--add` | Insereix un esdeveniment al calendari.
`--change` | Modifica un esdeveniment del calendari existent.
`--delete` | Elimina un esdeveniment del calendari existent.
`--create` | Crea un nou fitxer de calendari si no existeix cap.
`--import` fitxer_importar | Importa aquest calendari al calendari principal.
Modificadors d'operació:
`--all` | Visualitza totes les entrades del calendari.
`--next` | Visualitza l'activitat següent en el calendari.
`--show-next` dies | Comença a la data especificada mostrant les activitats dels propers # dies.
`--uid` UID | Veure, eliminar o canviar l'esdeveniment amb aquesta cadena d'identificació única.
`--date` data | Comença en aquest dia [DD-MM-AAAA]. Per omissió és avui.
`--time` hora | Comença a aquesta hora [HH:MM]. Per omissió són les 07:00 hores. Per afegir o canviar un esdeveniment flotant, utilitzeu les opcions `--time float` o `--end-time float`.
`--end-date` data_final | Finalitza en aquest dia [DD-MM-AAAA]. Per omissió és establert per `--date`.
`--end-time` hora_inici | Finalitza a aquesta hora [HH:MM]. Per omissió són les 17:00 hores. Per afegir o canviar un esdeveniment flotant, utilitzeu les opcions `--time float` o `--end-time float`.
`--epoch-start` època | Comença a aquesta hora [segons l'època especificada].
`--epoch-end` època | Finalitza a aquesta hora [segons l'època especificada].
`--summary` resum | Afegeix resum a l'esdeveniment (funciona per afegir i canviar).
`--description` descripció | Afegeix descripció a l'esdeveniment (funciona per afegir i canviar).
`--location` ubicació | Afegeix ubicació a l'esdeveniment (funciona per afegir i canviar).
Opcions d'exportació:
`--export-type` tipus_exportació | Tipus de fitxer d'exportació. Per omissió el tipus de fitxer és de text
`--export-file` fixer_exportar | Exporta a un fitxer. Per omissió, la sortida s'escriu a la sortida estàndard.
`--export-list` | Imprimeix la llista dels tipus d'exportació admesos i surt.

## Preguntes i respostes

&reporting.bugs; &updating.documentation;

Quin tipus de fitxers de configuració utilitza &konsolekalendar;?

Cap.

Quins són els noms de les aplicacions de &konsolekalendar;?

El nom de l'aplicació de &konsolekalendar; és konsolekalendar.

Quin és el format d'especificació de la data?

&konsolekalendar; rebutjarà les dates especificades a la línia d'ordres a menys que s'especifiquin d'acord a l'estàndard ISO 8601, com: AAAA-MM-DD. On AAAA representa un any amb quatre dígits (&pex;, 2003), MM representa un mes amb dos dígits (01, 02...), i DD representa un dia amb dos dígits (01, 02...).

&konsolekalendar; sempre exporta les dates d'acord amb el format ISO 8601.

Quin és el format d'especificació de l'hora?

&konsolekalendar; rebutjarà les hores especificades en la línia d'ordres a menys que s'especifiquin d'acord a l'estàndard ISO 8601, com: HH: MM: SS. On HH representa una hora amb dos dígits (01, 02...), MM representa els minuts amb dos dígits (01, 02...), i SS representa els segon amb dos dígits (01, 02...).

&konsolekalendar; exporta sempre les hores d'acord amb el format ISO 8601.

&konsolekalendar; inserirà un nou esdeveniment que és idèntic a un que ja existeix en el calendari?

No, veure la següent pregunta.

Com determina &konsolekalendar; si un esdeveniment és idèntic a un que ja existeix en el calendari?

&konsolekalendar; comprova la data i hora d'inici, la data i hora de final, i el resum especificats contra tots els esdeveniments en el calendari. La coincidència d'un esdeveniment està determinada per la coincidència dels tres valors a un esdeveniment existent.

Pot un esdeveniment no flotant canviar un esdeveniment flotant?

Sí. Utilitzeu les opcions `--time float` amb `--change`.

Per què els UID dels esdeveniments són impresos en la majoria dels formats d'exportació?

Atès que és necessari especificar els UID per esborrar o canviar els esdeveniments. Si no els voleu veure utilitzeu el tipus d'exportació curt (`--export-type short`).

Com puc tenir la meva pregunta afegida a aquesta &PMF;?

Envieu les vostres preguntes a winter@kde.org.

## Crèdits i llicència

&konsolekalendar; copyright del programa 2002-2007:

- Tuukka Pasanen illuusio@mailcity.com

- Allen Winter winter@kde.org

Copyright de la documentació 2003:

- Allen Winter winter@kde.org

- Tuukka Pasanen illuusio@mailcity.com

Traductor de la documentació: &credits.Antoni.Bella;

&underFDL; &underGPL;

## Instal·lació

### Com obtenir &konsolekalendar;

&install.intro.documentation;

&konsolekalendar; ve inclòs amb el &kde; 4 i no està disponible per separat.

### Requeriments

&konsolekalendar; requereix la instal·lació de les biblioteques estàndard de &kde; (els paquets `kdelibs` i `kdepimlibs`). Per compilar el codi font, també són necessaris els paquets de desenvolupament de &Qt;, `kdelibs` i `kdepimlibs`.

Podeu trobar una llista de canvis en el fitxer `ChangeLog`.

### Configuració

No es requereix cap configuració especial per executar &konsolekalendar; a l'escriptori &kde;.

&documentation.index;